> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List activity logs

> List activity logs

### Query parameters

<ParamField query="subject_type" type="string" />

<ParamField query="subject_id" type="string" />

<ParamField query="action" type="string" />

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ActivityLogListResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/activity-logs' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "entries": [
      {
        "action": "string",
        "actor": null,
        "actor_kind": "string",
        "created_at": "string",
        "id": "string",
        "metadata": {},
        "subject_id": "string",
        "subject_type": "string",
        "summary": "string"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
